cvp.vo

## Class DettaglioPrescrizioneDiff

- java.lang.Object
- - cvp.vo.DettaglioPrescrizioneDiff

-     public class DettaglioPrescrizioneDiff
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codCatalogoPrescr` Il campo, da utilizzarsi unicamente per prescrizioni specialistiche, deve contenere il codice del catalogo regionale della prestazione prescritta.
    `private java.lang.String` | `codGruppoEquival` Codice del gruppo equivalente
    `private java.lang.String` | `codMotivazione` Codici di motivazione di non sostituibilita' di un farmaco
    `private java.lang.String` | `codProdPrest` Codice prodotto farmaceutico (AIC) o codice prestazione specialistica
    `private java.lang.String` | `descrGruppoEquival` Descrizione testuale del gruppo equivalente
    `private java.lang.String` | `descrProdPrest` Descrizione testuale del prodotto farmaceutico o della prestazione specialistica
    `private java.lang.String` | `descrTestoLiberoNote` Descrizione testuale della prestazione specialistica
    `private java.lang.String` | `motivazNote` Motivazione della non sostituibilita'
    `private java.lang.String` | `nonSost` Non sostituibilita' del farmaco
    `private java.lang.String` | `notaProd` Nota AIFA
    `private java.lang.String` | `prescrizione1` Campo destinato a informazioni aggiuntive
    `private java.lang.String` | `prescrizione2` Campo destinato a informazioni aggiuntive
    `private java.lang.String` | `quantita` Quantita' di confezioni o di prestazioni specialistiche prescritte
    `private java.lang.String` | `tipoAccesso` Il campo, obbligatorio e da utilizzarsi unicamente per prescrizioni specialistiche del catalogo regionale,, indica se la prestazione richiesta si riferisce: - ad un primo accesso (prima visita o primo esame di diagnostica strumentale, visita o prestazione di approfondimento erogati da specialista diverso dal primo osservatore e nel caso di un paziente cronico, si considera primo accesso, la visita o l’esame strumentale, necessari in seguito ad un peggioramento del quadro clinico), - ad un accesso successivo (visita o prestazione di approfondimento, per pazienti presi in carico dal primo specialista, , controllo, follow up) Valori ammessi: 1= primo accesso, 0= altra tipologia di accesso

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DettaglioPrescrizioneDiff()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodCatalogoPrescr()`
    `java.lang.String` | `getCodGruppoEquival()`
    `java.lang.String` | `getCodMotivazione()`
    `java.lang.String` | `getCodProdPrest()`
    `java.lang.String` | `getDescrGruppoEquival()`
    `java.lang.String` | `getDescrProdPrest()`
    `java.lang.String` | `getDescrTestoLiberoNote()`
    `java.lang.String` | `getMotivazNote()`
    `java.lang.String` | `getNonSost()`
    `java.lang.String` | `getNotaProd()`
    `java.lang.String` | `getPrescrizione1()`
    `java.lang.String` | `getPrescrizione2()`
    `java.lang.String` | `getQuantita()`
    `java.lang.String` | `getTipoAccesso()`
    `void` | `setCodCatalogoPrescr(java.lang.String codCatalogoPrescr)`
    `void` | `setCodGruppoEquival(java.lang.String codGruppoEquival)`
    `void` | `setCodMotivazione(java.lang.String codMotivazione)`
    `void` | `setCodProdPrest(java.lang.String codProdPrest)`
    `void` | `setDescrGruppoEquival(java.lang.String descrGruppoEquival)`
    `void` | `setDescrProdPrest(java.lang.String descrProdPrest)`
    `void` | `setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)`
    `void` | `setMotivazNote(java.lang.String motivazNote)`
    `void` | `setNonSost(java.lang.String nonSost)`
    `void` | `setNotaProd(java.lang.String notaProd)`
    `void` | `setPrescrizione1(java.lang.String prescrizione1)`
    `void` | `setPrescrizione2(java.lang.String prescrizione2)`
    `void` | `setQuantita(java.lang.String quantita)`
    `void` | `setTipoAccesso(java.lang.String tipoAccesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codProdPrest

          private java.lang.String codProdPrest

      Codice prodotto farmaceutico (AIC) o codice prestazione specialistica

    - #### descrProdPrest

          private java.lang.String descrProdPrest

      Descrizione testuale del prodotto farmaceutico o della prestazione specialistica

    - #### codGruppoEquival

          private java.lang.String codGruppoEquival

      Codice del gruppo equivalente

    - #### descrGruppoEquival

          private java.lang.String descrGruppoEquival

      Descrizione testuale del gruppo equivalente

    - #### descrTestoLiberoNote

          private java.lang.String descrTestoLiberoNote

      Descrizione testuale della prestazione specialistica

    - #### nonSost

          private java.lang.String nonSost

      Non sostituibilita' del farmaco

    - #### motivazNote

          private java.lang.String motivazNote

      Motivazione della non sostituibilita'

    - #### codMotivazione

          private java.lang.String codMotivazione

      Codici di motivazione di non sostituibilita' di un farmaco

    - #### notaProd

          private java.lang.String notaProd

      Nota AIFA

    - #### quantita

          private java.lang.String quantita

      Quantita' di confezioni o di prestazioni specialistiche prescritte

    - #### prescrizione1

          private java.lang.String prescrizione1

      Campo destinato a informazioni aggiuntive

    - #### prescrizione2

          private java.lang.String prescrizione2

      Campo destinato a informazioni aggiuntive

    - #### codCatalogoPrescr

          private java.lang.String codCatalogoPrescr

      Il campo, da utilizzarsi unicamente per prescrizioni specialistiche, deve contenere il codice del catalogo regionale della prestazione prescritta.

    - #### tipoAccesso

          private java.lang.String tipoAccesso

      Il campo, obbligatorio e da utilizzarsi unicamente per prescrizioni specialistiche del catalogo regionale,, indica se la prestazione richiesta si riferisce: - ad un primo accesso (prima visita o primo esame di diagnostica strumentale, visita o prestazione di approfondimento erogati da specialista diverso dal primo osservatore e nel caso di un paziente cronico, si considera primo accesso, la visita o l’esame strumentale, necessari in seguito ad un peggioramento del quadro clinico), - ad un accesso successivo (visita o prestazione di approfondimento, per pazienti presi in carico dal primo specialista, , controllo, follow up) Valori ammessi: 1= primo accesso, 0= altra tipologia di accesso

  - ### Constructor Detail

    - #### DettaglioPrescrizioneDiff

          public DettaglioPrescrizioneDiff()

  - ### Method Detail

    - #### getCodProdPrest

          public java.lang.String getCodProdPrest()

    - #### setCodProdPrest

          public void setCodProdPrest(java.lang.String codProdPrest)

    - #### getDescrProdPrest

          public java.lang.String getDescrProdPrest()

    - #### setDescrProdPrest

          public void setDescrProdPrest(java.lang.String descrProdPrest)

    - #### getCodGruppoEquival

          public java.lang.String getCodGruppoEquival()

    - #### setCodGruppoEquival

          public void setCodGruppoEquival(java.lang.String codGruppoEquival)

    - #### getDescrGruppoEquival

          public java.lang.String getDescrGruppoEquival()

    - #### setDescrGruppoEquival

          public void setDescrGruppoEquival(java.lang.String descrGruppoEquival)

    - #### getDescrTestoLiberoNote

          public java.lang.String getDescrTestoLiberoNote()

    - #### setDescrTestoLiberoNote

          public void setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)

    - #### getNonSost

          public java.lang.String getNonSost()

    - #### setNonSost

          public void setNonSost(java.lang.String nonSost)

    - #### getMotivazNote

          public java.lang.String getMotivazNote()

    - #### setMotivazNote

          public void setMotivazNote(java.lang.String motivazNote)

    - #### getCodMotivazione

          public java.lang.String getCodMotivazione()

    - #### setCodMotivazione

          public void setCodMotivazione(java.lang.String codMotivazione)

    - #### getNotaProd

          public java.lang.String getNotaProd()

    - #### setNotaProd

          public void setNotaProd(java.lang.String notaProd)

    - #### getQuantita

          public java.lang.String getQuantita()

    - #### setQuantita

          public void setQuantita(java.lang.String quantita)

    - #### getPrescrizione1

          public java.lang.String getPrescrizione1()

    - #### setPrescrizione1

          public void setPrescrizione1(java.lang.String prescrizione1)

    - #### getPrescrizione2

          public java.lang.String getPrescrizione2()

    - #### setPrescrizione2

          public void setPrescrizione2(java.lang.String prescrizione2)

    - #### getCodCatalogoPrescr

          public java.lang.String getCodCatalogoPrescr()

    - #### setCodCatalogoPrescr

          public void setCodCatalogoPrescr(java.lang.String codCatalogoPrescr)

    - #### getTipoAccesso

          public java.lang.String getTipoAccesso()

    - #### setTipoAccesso

          public void setTipoAccesso(java.lang.String tipoAccesso)